
From: Miklos Szeredi <miklos@szeredi.hu>

This patch makes llseek behave properly on the FUSE device

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/fuse/dev.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/fuse/dev.c~fuse-fix-llseek-on-device fs/fuse/dev.c
--- 25/fs/fuse/dev.c~fuse-fix-llseek-on-device	2005-01-22 18:50:21.527224112 -0800
+++ 25-akpm/fs/fuse/dev.c	2005-01-22 18:50:21.530223656 -0800
@@ -784,6 +784,7 @@ static int fuse_dev_release(struct inode
 
 struct file_operations fuse_dev_operations = {
 	.owner		= THIS_MODULE,
+	.llseek		= no_llseek,
 	.read		= fuse_dev_read,
 	.readv		= fuse_dev_readv,
 	.write		= fuse_dev_write,
_
